VST 3 SDK VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Types | Public Attributes | List of all members
Vst2xProgram Struct Reference

structure holding the content of a vst2 fxp format stream More...

`#include <vst2persistence.h>`

## Public Types
using | ProgramValues = std::vector<float>

## Public Attributes
ProgramValues | values
Vst2xChunk | chunk
int32_t | fxUniqueID {0}
int32_t | fxVersion {0}
std::string | name

## Detailed Description

structure holding the content of a vst2 fxp format stream

either the values member is valid or the chunk member but not both

## Member Typedef Documentation

## ◆ ProgramValues

using ProgramValues = std::vector<float>

## Member Data Documentation

## ◆ values

ProgramValues values

## ◆ chunk

Vst2xChunk chunk

## ◆ fxUniqueID

int32_t fxUniqueID {0}

## ◆ fxVersion

int32_t fxVersion {0}

## ◆ name

std::string name

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.